Subject: Re: [PATCH] ppc44x: support for 256K PAGE_SIZE

From: Yuri Tikhonov <[email-masked]>
Date: Thu, 18 Oct 2007 17:25:42 +0400

On Thursday 18 October 2007 16:12, Benjamin Herrenschmidt wrote:

> > I always reserve the right to change my mind.  If something makes sense
> > and the code is decent enough then it might very well be acceptable.
> > Requiring a modified binutils makes me a bit nervous though.
> 
>  From a kernel point of view, I totally don't care about the modified
> binutils to build userspace as long as it's not required to build the
> kernel and that option is not enabled by default (and explicitely
> documented as having that requirement).
> 
> If it is necessary for building the kernel, then I'm a bit cooler about
> the whole thing indeed, the max page size needs to be added at least as
> a command line or linker script param so a different build of binutils
> isn't needed.

 No, 256K-page-sized kernel is being built using the standard binutils. Modifications
to them are necessary for user-space applications only. And the libraries as well.

-- 
Yuri Tikhonov, Senior Software Engineer
Emcraft Systems, www.emcraft.com